Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class Device<D extends Device<D,T>,T extends DeviceType>

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.Device<D,T>

All Implemented Interfaces:
  `Transferable`, `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<D>`

Direct Known Subclasses:
  `InetDevice`, `InvDevice`, `TvDevice`, `VoiceDevice`

public abstract class Device<D extends Device<D,T>,T extends DeviceType> extends Entity implements TreeNode<D>, Transferable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<D>`
  `children`
  `protected String`
  `comment`
  `protected String`
  `config`
  `protected Date`
  `dateFrom`
  `protected Date`
  `dateTo`
  `protected Set<Integer>`
  `deviceGroupIds`
  `protected T`
  `deviceType`
  `protected int`
  `deviceTypeId`
  `protected String`
  `host`
  `protected String`
  `identifier`
  `protected boolean`
  `orderManagerDisabled`
  `protected int`
  `parentId`
  `protected String`
  `secret`
  `protected String`
  `uptime`
  `protected Date`
  `uptimeTime`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Device()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `D[]`
  `findCodePath(int pid)`
  `static String`
  `generateTitle(String identifier, String host, String type)`
  `static String`
  `generateTitle(Device<?,?> device, DeviceType type)`
  `List<D>`
  `getChildren()`
  `String`
  `getComment()`
  `String`
  `getConfig()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `T`
  `getDeviceType()`
  `int`
  `getDeviceTypeId()`
  `String`
  `getHost()`
  `List<InetSocketAddress>`
  `getHosts()`
  `List<String[]>`
  `getHostsAsString()`
  `String`
  `getIdentifier()`
  `int`
  `getParentId()`
  `String`
  `getPassword()`
  `String`
  `getSecret()`
  `int`
  `getSort()`
  `Object`
  `getTransferData(DataFlavor flavor)`
  `DataFlavor[]`
  `getTransferDataFlavors()`
  `String`
  `getUptime()`
  `Date`
  `getUptimeTime()`
  `String`
  `getUsername()`
  `boolean`
  `isDataFlavorSupported(DataFlavor flavor)`
  `boolean`
  `isOrderManagerDisabled()`
  `static void`
  `main(String[] args)`
  `void`
  `setChildren(List<D> children)`
  `void`
  `setComment(String comment)`
  `void`
  `setConfig(String config)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `void`
  `setDeviceType(T deviceType)`
  `void`
  `setDeviceTypeId(int deviceTypeId)`
  `void`
  `setHost(String host)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setOrderManagerDisabled(boolean orderManagerDisabled)`
  `void`
  `setParentId(int parentId)`
  `void`
  `setPassword(String password)`
  `void`
  `setSecret(String secret)`
  `void`
  `setSort(int sort)`
  `void`
  `setUptime(String uptime)`
  `void`
  `setUptimeTime(Date uptimeCheckTime)`
  `void`
  `setUsername(String user)`
  `List<Device<D,T>>`
  `toList()`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### deviceTypeId

    protected int deviceTypeId

  - ### deviceType

    protected transient T extends DeviceType deviceType

  - ### identifier

    protected String identifier

  - ### host

    protected String host

  - ### deviceGroupIds

    protected Set<Integer> deviceGroupIds

  - ### secret

    protected String secret

  - ### config

    protected String config

  - ### comment

    protected String comment

  - ### parentId

    protected int parentId

  - ### children

    protected List<D extends Device<D,T>> children

  - ### uptime

    protected volatile String uptime

  - ### uptimeTime

    protected volatile Date uptimeTime

  - ### dateFrom

    protected Date dateFrom

  - ### dateTo

    protected Date dateTo

  - ### orderManagerDisabled

    protected boolean orderManagerDisabled

- ## Constructor Details

  - ### Device

    public Device()

- ## Method Details

  - ### getSort

    public int getSort()

  - ### setSort

    public void setSort(int sort)

  - ### getDeviceTypeId

    public int getDeviceTypeId()

  - ### setDeviceTypeId

    public void setDeviceTypeId(int deviceTypeId)

  - ### getParentId

    public int getParentId()

  - ### setParentId

    public void setParentId(int parentId)

  - ### getDeviceType

    public T getDeviceType()

  - ### setDeviceType

    public void setDeviceType(T deviceType)

  - ### getIdentifier

    public String getIdentifier()

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### setDeviceGroupIds

    public void setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### getHost

    public String getHost()

  - ### getHosts

    public List<InetSocketAddress> getHosts()

  - ### main

    public static void main(String[] args)

  - ### getHostsAsString

    public List<String[]> getHostsAsString()

  - ### setHost

    public void setHost(String host)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String user)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getSecret

    public String getSecret()

  - ### setSecret

    public void setSecret(String secret)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getChildren

    public List<D> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<D extends Device<D,T>>`

  - ### setChildren

    public void setChildren(List<D> children)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getUptime

    public String getUptime()

  - ### setUptime

    public void setUptime(String uptime)

  - ### getUptimeTime

    public Date getUptimeTime()

  - ### setUptimeTime

    public void setUptimeTime(Date uptimeCheckTime)

  - ### generateTitle

    public static String generateTitle(Device<?,?> device, DeviceType type)

  - ### generateTitle

    public static String generateTitle(String identifier, String host, String type)

  - ### findCodePath

    public D[] findCodePath(int pid)

  - ### getDateFrom

    public Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### getDateTo

    public Date getDateTo()

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### isOrderManagerDisabled

    public boolean isOrderManagerDisabled()

  - ### setOrderManagerDisabled

    public void setOrderManagerDisabled(boolean orderManagerDisabled)

  - ### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()
    Specified by:
      `getTransferDataFlavors` in interface `Transferable`

  - ### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)
    Specified by:
      `isDataFlavorSupported` in interface `Transferable`

  - ### getTransferData

    public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException
    Specified by:
      `getTransferData` in interface `Transferable`
    Throws:
      `UnsupportedFlavorException`
      `IOException`

  - ### toList

    public List<Device<D,T>> toList()